/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { StateResource } from '@alfa-client/tech-shared';
import { Component, inject, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { Observable } from 'rxjs';
import { ROUTES } from '../../../../shared/libs/routes';
import { User } from '../user/user.model';
import { UserService } from './user.service';

@Component({
  selector: 'admin-users-roles',
  templateUrl: './users-roles.component.html',
})
export class UsersRolesComponent implements OnInit {
  private router = inject(Router);
  private userService = inject(UserService);

  public users$: Observable<StateResource<User[]>>;
  public readonly GROUPS_TO_DISPLAY = 3;

  ngOnInit() {
    this.users$ = this.userService.get();
  }

  navigateToAddUser(): void {
    this.router.navigate([ROUTES.BENUTZER_UND_ROLLEN_NEU]);
  }
}
