/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { Resource } from '@ngxp/rest';
import { toResource } from '../../../tech-shared/test/resource';
import { SettingListLinkRel } from '../src/lib/admin-settings.linkrel';
import { SettingItemResource, SettingListResource } from '../src/lib/admin-settings.model';

export function createSettingsListResource(
  settingsItems: SettingItemResource[],
): SettingListResource {
  return toResource({}, [], {
    settings: settingsItems,
  });
}

export function createFilledSettingsListResource(
  resources: Resource[],
  linkRelations: string[] = [],
): SettingListResource {
  return toResource({}, [...linkRelations], {
    [SettingListLinkRel.LIST]: resources,
  });
}
