/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { StateResource, createStateResource } from '@alfa-client/tech-shared';
import {
  createBinaryFileListResource,
  createBinaryFileResource,
} from 'libs/binary-file-shared/test/binary-file';
import { BinaryFileListResource, BinaryFileResource } from './binary-file.model';
import { getBinaryFiles } from './binary-file.util';

describe('BinaryFile Util', () => {
  describe('getBinaryFiles', () => {
    it('should extract resource', () => {
      const binaryFileResources: BinaryFileResource[] = [createBinaryFileResource()];
      const binaryFileListStateResource: StateResource<BinaryFileListResource> =
        createStateResource(createBinaryFileListResource(binaryFileResources));

      const resources: BinaryFileResource[] = getBinaryFiles(binaryFileListStateResource);

      expect(resources).toEqual(binaryFileResources);
    });
  });
});
