import { getElementFromFixture } from '@alfa-client/test-utils';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { getDataTestIdOf } from 'libs/tech-shared/test/data-test';
import { LinkComponent } from './link.component';

describe('LinkComponent', () => {
  let component: LinkComponent;
  let fixture: ComponentFixture<LinkComponent>;

  const linkElementSelector: string = getDataTestIdOf('testLink');

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [LinkComponent],
    }).compileComponents();

    fixture = TestBed.createComponent(LinkComponent);
    component = fixture.componentInstance;
    component.linkTestId = 'testLink';
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('component', () => {
    describe('isFocused', () => {
      it('should be set to true on focus', () => {
        const linkElement: HTMLLinkElement = getElementFromFixture(fixture, linkElementSelector);

        linkElement.focus();
        fixture.detectChanges();

        expect(component.isFocused).toBe(true);
      });

      it('should be set to false on blue', () => {
        component.isFocused = true;
        const linkElement: HTMLLinkElement = getElementFromFixture(fixture, linkElementSelector);

        linkElement.dispatchEvent(new Event('blur'));
        fixture.detectChanges();

        expect(component.isFocused).toBe(false);
      });
    });
  });
});
