/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.common;

import lombok.AccessLevel;
import lombok.NoArgsConstructor;

@NoArgsConstructor(access = AccessLevel.PRIVATE)
public class ValidationMessageCodes {

	private static final String FIELD_PREFIX = "validation_field_";
	public static final String FIELD_IS_EMPTY = FIELD_PREFIX + "empty";
	public static final String FIELD_MIN_SIZE = FIELD_PREFIX + "min_size";
	public static final String FIELD_MAX_SIZE = FIELD_PREFIX + "max_size";
	public static final String FIELD_SIZE = FIELD_PREFIX + "size";
	public static final String FIELD_DATE_PAST = FIELD_PREFIX + "date_past";
	public static final String FIELD_INVALID = FIELD_PREFIX + "invalid";
	public static final String FIELD_FILE_SIZE_EXCEEDED = FIELD_PREFIX + "file_size_exceeded";
	public static final String FIELD_DATE_FORMAT_INVALID = FIELD_PREFIX + "date_format_invalid";
	public static final String FIELD_FILE_CONTENT_TYPE_INVALID = FIELD_PREFIX + "file_content_type_invalid";
}
